<style>
  input[type="number"] {
  display: block;
  margin: 0px;
  padding: 0px;
  border: none;
  height: 12pt;
  text-align: center;
  }
  input[type="number"]:hover {
  background-color: #eeeeee;
  border-radius: 0px;
  }
  input[type="time"] {
  display: block;
  margin: 0px;
  padding: 0px;
  border: none;
  height: 12pt;
  text-align: center;
  }
  input[type="time"]:hover {
  background-color: #eeeeee;
  border-radius: 0px;
  }
  .textarea {
  display: block;
  margin: 0px;
  padding: 0px;
  border: none;
  height: 12pt;
  text-align: center;
  }
  input[type="checkbox"] {
  display: none;
  margin: 0px;
  padding: 0px;
  }
  input[type="checkbox"]:checked + label {
  display: block;
  margin: 0px;
  padding: 0px;
  border: none;
  background: #ffffff;
  color: #000000;
  }
  input[type="checkbox"]:checked + label:hover {
  background-color: #eeeeee;
  color: #000000;
  border: none;
  }
  .label {
  display: block;
  font-size: 10pt;
  margin: 0px;
  padding: 0px;
  text-align: center;
  cursor: pointer;
  background-color: #ffffff;
  color: #dddddd;
  border: none;
  }
  .label:hover {
  margin: 0px;
  padding: 0px;
  background-color: #eeeeee;
  color: #bbbbbb;
  border: none;
  }
  td, th {
  padding: 0px 0px;
  vertical-align: middle;
  }
</style>
{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->
{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

<div class="container">
  <div class="row align-items-top justify-content-center">
      <div class="col">
          <h4 style='font-size: 13pt;'><i class='fa fa-cog'></i> DCS data </h4>
      </div>
  </div>
  {% if component['dcs'] %}
    <div class="row align-items-center justify-content-center">
      <div class="col">
      {% for result in component['dcs']['results']['iv'] %}
        <div style="display: flex;">
          <h4 style="font-size: 10pt;">
              <i class="fa fa-caret-right"></i> {{ result['dcsType'] }}
          </h4>
        </div>
        <div class="row align-items-center justify-content-space-evenly">
          <div class="col-md-4">
          {% if result['url_v'] %}
            <center>
              <p> {{result['keyName'][0]}} </p>
              <a href={{result['url_v']}} target="_brank" rel="noopener noreferrer">
                <img src={{result['url_v']}} title="Voltage" width="300" height="300"></img>
              </a>
            </center>
          {% endif %}
          </div>
          <div class="col-md-4">
          {% if result['url_i'] %}
            <center>
              <p> {{result['keyName'][1]}} </p>
              <a href={{result['url_i']}} target="_brank" rel="noopener noreferrer">
                <img src={{result['url_i']}} title="Current" width="300" height="300"></img>
              </a>
            </center>
          {% endif %}
          </div>
          <div class="col-md-4">
          {% if result['dcsType'] %}
            <center>
              <table class="table table-sm table-bordered" style="font-size: 8pt;">
                <form class="form-holizontal" action="{{ url_for('plot_dcs_api.make_dcsGraph', id=component['_id'], runId=result['runId']) }}" method=post class=entries style="font-size:10pt; margin:0px;">
                  <input type="hidden" name="dcsType" value={{result['dcsType']}}>
                  <input type="hidden" name="dataType" value="iv">
                  <input type="hidden" name="key_v" value={{result['keyName'][0]}}>
                  <input type="hidden" name="key_i" value={{result['keyName'][1]}}>
                  <input type="hidden" name="v_step" value={{result['v_step']}}>
                  <input type="hidden" name="i_step" value={{result['i_step']}}>
                  <thead class="table-light">
                    <tr>
                      <th scope="col" class="text-left" colspan="3">
                        Settings<br>( Max/Min : y-axis )
                      </th>
                    </tr>
                    <tr>
                      <th scope="col" class="text-left">parameter</th>
                      <th scope="col" class="text-left" width="25%">current</th>
                      <th scope="col" class="text-left" width="25%">modify</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td scope="col" class="text-left">Min([V])</td>
                      <td scope="col" class="text-left">{{result['v_min']}}</td>
                      <td scope="col" class="text-left">
                        <input type = "number" class="form-control" name = "v_min" value = {{result['v_min']}} style="font-size:10pt;" min="-100" step = {{result['v_step']}}>
                      </td>
                    </tr>
                    <tr>
                      <td scope="col" class="text-left">Max([V])</td>
                      <td scope="col" class="text-left">{{result['v_max']}}</td>
                      <td scope="col" class="text-left">
                        <input type = "number" class="form-control" name = "v_max" value = {{result['v_max']}} style="font-size:10pt;" min="-100" step = {{result['v_step']}}>
                      </td>
                    </tr>
                    <tr>
                      <td scope="col" class="text-left">Min([A])</td>
                      <td scope="col" class="text-left">{{result['i_min']}}</td>
                      <td scope="col" class="text-left">
                        <input type = "number" class="form-control" name = "i_min" value = {{result['i_min']}} style="font-size:10pt;" min="-1" step = {{result['i_step']}}>
                      </td>
                    </tr>
                    <tr>
                      <td scope="col" class="text-left">Max([A])</td>
                      <td scope="col" class="text-left">{{result['i_max']}}</td>
                      <td scope="col" class="text-left">
                        <input type = "number" class="form-control" name = "i_max" value = {{result['i_max']}} style="font-size:10pt;" min="-1" step = {{result['i_step']}}>
                      </td>
                    </tr>
                    <tr>
                      <td scope="col" class="text-left"></td>
                      <td scope="col" class="text-left">
                        <button type="submit" class="btn btn-outline-success btn-block" style="font-size:9pt;border:none;" name="dcsplotType" value="set">
                        Set Default
                        </button>
                      </td>
                      <td scope="col" class="text-left">
                        <button type="submit" class="btn btn-outline-success btn-block" style="font-size:9pt;border:none;" name="dcsplotType" value="make">
                        Make Histogram
                        </button>
                      </td>
                    </tr>
                  </tbody>
                </form>
              </table>
            </center>
            <!-- description about red region --!>
            <font color="#ff0000" size="2"><p style="text-align:right">
              Red region is runtime
            </p></font>
          {% endif %}
          </div>
        </div>
      {% endfor %}
      {% for result in component['dcs']['results']['other'] %}
        <div style="display: flex;">
          <h4 style="font-size: 10pt;">
              <i class="fa fa-caret-right"></i> {{ result['dcsType'] }}
          </h4>
        </div>
        <div class="row align-items-center justify-content-space-evenly">
          <div class="col-md-4">
          {% if result['url'] %}
            <center>
              <p> {{result['keyName'][0]}} </p>
              <a href={{result['url']}} target="_brank" rel="noopener noreferrer">
                <img src={{result['url']}} title="Voltage" width="300" height="300"></img>
              </a>
            </center>
          {% endif %}
          </div>
          <div class="col-md-4">
          {% if result['dcsType'] %}
            <center>
              <table class="table table-sm table-bordered" style="font-size: 8pt;">
                <form class="form-holizontal" action="{{ url_for('plot_dcs_api.make_dcsGraph', id=component['_id'], runId=result['runId']) }}" method=post class=entries style="font-size:10pt; margin:0px;">
                  <input type="hidden" name="dcsType" value={{result['dcsType']}}>
                  <input type="hidden" name="step" value={{result['step']}}>
                  <input type="hidden" name="dataType" value="other">
                  <thead class="table-light">
                    <tr>
    	                <th scope="col" class="text-left" colspan="3">
                        Settings<br>( Max/Min : y-axis )
                      </th>
                    </tr>
                    <tr>
                      <th scope="col" class="text-left">parameter</th>
                      <th scope="col" class="text-left" width="25%">current</th>
                      <th scope="col" class="text-left" width="25%">modify</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td scope="col" class="text-left">Min([V])</td>
                      <td scope="col" class="text-left">{{result['min']}}</td>
                      <td scope="col" class="text-left">
                        <input type = "number" class="form-control" name = "min" value = {{result['min']}} style="font-size:10pt;" min="-100" step = {{result['step']}}>
                      </td>
                    </tr>
                    <tr>
                      <td scope="col" class="text-left">Max([V])</td>
                      <td scope="col" class="text-left">{{result['max']}}</td>
                      <td scope="col" class="text-left">
                        <input type = "number" class="form-control" name = "max" value = {{result['max']}} style="font-size:10pt;" min="-100" step = {{result['step']}}>
                      </td>
                    </tr>
                    <tr>
                      <td scope="col" class="text-left"></td>
                      <td scope="col" class="text-left">
                        <button type="submit" class="btn btn-outline-success btn-block" style="font-size:9pt;border:none;" name="dcsplotType" value="set">
                        Set Default
                        </button>
                      </td>
                      <td scope="col" class="text-left">
                        <button type="submit" class="btn btn-outline-success btn-block" style="font-size:9pt;border:none;" name="dcsplotType" value="make">
                        Make Histogram
                        </button>
                      </td>
                    </tr>
                  </tbody>
                </form>
              </table>
            </center>
            <!-- description about red region --!>
            <font color="#ff0000" size="2"><p style="text-align:right">
              Red region is runtime
            </p></font>
          {% endif %}
          </div>
        </div>
      {% endfor %}
      </div>
    </div>
    <div class="row align-items-center justify-content-center">
      <div class="col">
        <div style="display: flex;">
          <table class="table table-sm table-bordered" style="font-size: 8pt;">
            <form class="form-time" action="{{ url_for('plot_dcs_api.make_dcsGraph', id=component['_id'], runId=component['dcs']['results']['stat']['runId']) }}" method=post class=entries style="font-size:10pt; margin:0px;">
              <input type = "hidden" name = "start_timezone" value = {{component['dcs']['results']['stat']['timeRange']['start']['tzone']}}>
              <input type = "hidden" name = "end_timezone" value = {{component['dcs']['results']['stat']['timeRange']['end']['tzone']}}>
              <thead class="table-light">
                <tr>
                  <th scope="col" class="text-left" colspan="10">
                    Setting time range for all DCS PLOT ( Start/End : time-axis )
                  </th>
                </tr>
                <tr>
                  <th scope="col" class="text-left" width="10%">parameter</th>
                  <th scope="col" class="text-left" width="15%">RunTime</th>
                  <th scope="col" class="text-left" width="15%">current</th>
                  <th scope="col" class="text-left" >year</th>
                  <th scope="col" class="text-left" >month</th>
                  <th scope="col" class="text-left" >day</th>
                  <th scope="col" class="text-left" >hour</th>
                  <th scope="col" class="text-left" >minute</th>
                  <th scope="col" class="text-left" >second</th>
                  <th scope="col" class="text-left" >timezone</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td scope="col" class="text-left">Start</td>
                  <td scope="col" class="text-left"> <time> {{component['dcs']['results']['stat']['RunTime']['start']}} </time> </td>
                  <td scope="col" class="text-left"> <time> {{component['dcs']['results']['stat']['unixtimeR']['start']}} </time> </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "start_year" value = {{component['dcs']['results']['stat']['timeRange']['start']['year']}} style="font-size:10pt;" min="1" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "start_month" value = {{component['dcs']['results']['stat']['timeRange']['start']['month']}} style="font-size:10pt;" max="12"  min="1" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "start_day" value = {{component['dcs']['results']['stat']['timeRange']['start']['day']}} style="font-size:10pt;" max="31" min="1" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "start_hour" value = {{component['dcs']['results']['stat']['timeRange']['start']['hour']}} style="font-size:10pt;" max="23" min="0" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "start_minute" value = {{component['dcs']['results']['stat']['timeRange']['start']['minute']}} style="font-size:10pt;" max="59" min="0" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "start_second" value = {{component['dcs']['results']['stat']['timeRange']['start']['second']}} style="font-size:10pt;" max="59" min="0" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    {{component['dcs']['results']['stat']['timeRange']['end']['tzone']}}
                  </td>
                </tr>
                <tr>
                  <td scope="col" class="text-left">End</td>
                  <td scope="col" class="text-left"><time>{{component['dcs']['results']['stat']['RunTime']['finish']}}</time></td>
                  <td scope="col" class="text-left"><time>{{component['dcs']['results']['stat']['unixtimeR']['end']}}</time></td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "end_year" value = {{component['dcs']['results']['stat']['timeRange']['end']['year']}} style="font-size:10pt;" min="1" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "end_month" value = {{component['dcs']['results']['stat']['timeRange']['end']['month']}} style="font-size:10pt;" max="12" min="1" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "end_day" value = {{component['dcs']['results']['stat']['timeRange']['end']['day']}} style="font-size:10pt;" max="31" min="1" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "end_hour" value = {{component['dcs']['results']['stat']['timeRange']['end']['hour']}} style="font-size:10pt;" max="23" min="0" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "end_minute" value = {{component['dcs']['results']['stat']['timeRange']['end']['minute']}} style="font-size:10pt;" max="59" min="0" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    <input type = "number" class="form-control" name = "end_second" value = {{component['dcs']['results']['stat']['timeRange']['end']['second']}} style="font-size:10pt;" max="59" min="0" step="1">
                  </td>
                  <td scope="col" class="text-left">
                    {{component['dcs']['results']['stat']['timeRange']['end']['tzone']}}
                  </td>
                </tr>
                <tr>
                  <td scope="col" class="text-left"></td>
                  <td scope="col" class="text-left"></td>
                  <td scope="col" class="text-left">
                    <button type="submit" class="btn btn-outline-success btn-block" style="font-size:9pt;border:none;" name="dcsplotType" value="set_defaultTimeRange">
                    Set Default
                    </button>
                  </td>
                  <td scope="col" class="text-left">
                    <button type="submit" class="btn btn-outxline-success btn-block" style="font-size:9pt;border:none;" name="dcsplotType" value="make_TimeRange">
                    Set TimeRange
                    </button>
                  </td>
                </tr>
              </tbody>
            </form>
          </table>
        </div>
      </div>
    </div>
  {% endif %}
</div>
{% endblock %}
